OpenEMM 6.2 on top of Resin 4.x and/or other ASes?

Use this forum for all questions related to the source code of OpenEMM

Moderator: moderator

anondev
Posts: 11
Joined: Wed May 18, 2011 5:33 pm

OpenEMM 6.2 on top of Resin 4.x and/or other ASes?

Post by anondev » Tue May 31, 2011 9:00 am

Hello everybody,
I am trying to build OpenEMM on my PC. Being experienced with Maven&Jboss projects, I think the Eclipse "run on server" option is really a killer feature.
I found a way, through a plugin, to use Resin as an Application Server for automatic deployment in my Eclipse. Alas, the plugin only supports Resin 4.0. I will try to force-feed it a Resin 3.x installation, but I don't know if it will work or not.
Anyway, can I deploy OpenEMM 6.2 on top of a Resin 4.x server? Has it been tested? Is it supported?

Another interesting thing would be to be able to deploy OpenEMM 6.2 on top of a Tomcat or JBoss server (instead of Resin). Is it also possible? If not, has it been tried/planned?
Thank you in advance.

maschoff
Site Admin
Posts: 2185
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: OpenEMM 6.2 on top of Resin 4.x and/or other ASes?

Post by maschoff » Tue May 31, 2011 7:22 pm

OpenEMM needs Resin 3.0.x, even 3.1 does not work. Upcoming OpenEMM 2011 runs on top of Tomcat. RC1 will be published within the next few days.
OpenEMM Maintainer

anondev
Posts: 11
Joined: Wed May 18, 2011 5:33 pm

Re: OpenEMM 6.2 on top of Resin 4.x and/or other ASes?

Post by anondev » Wed Jun 01, 2011 9:41 am

I would have liked to use the most recent release, but you were late on shipping the RC ;)

When it comes to 6.2, you might want to make Resin 3.0 downloadable in your Sourceforge and/or download section, as the 3.0 tree is no longer available on their downloads page, and few of us would be willing to entrust our OpenEMM installation to an application server downloaded on some obscure website in the depths of the Internets.
I found this one through URL-Forcing on the official website, 3.0.28 seems to be the most recent release available there.
Anyway, can't wait for the 2011 release and its Tomcat support. By the way, does it run atop of the very latest stable Tomcat version (7.0.14 as of today), or are there version constraints here too (for example 6.x only)?

anondev
Posts: 11
Joined: Wed May 18, 2011 5:33 pm

Re: OpenEMM 6.2 on top of Resin 4.x and/or other ASes?

Post by anondev » Thu Jul 07, 2011 2:38 pm

I am finally about to try out RC2, but you haven't answered my questions. Which Tomcat version shall I use?

maschoff
Site Admin
Posts: 2185
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: OpenEMM 6.2 on top of Resin 4.x and/or other ASes?

Post by maschoff » Thu Jul 07, 2011 2:59 pm

6.0.x
OpenEMM Maintainer

Post Reply